<?php
/**
 * @version    1.3.2
 * @package    com_jphpx
 * @author     Joachim Schmidt <joachim.schmidt@oberquembach.de>
 * @copyright  2021 Joachim Schmidt
 * @license    GNU General Public License Version 2 or later
 */

defined('_JEXEC') or die;

use \Joomla\CMS\Factory;
use \Joomla\CMS\Language\Text;
use \Joomla\CMS\Version;

class jphpxActions
{
    
    public function __construct ($properties = null)
    {
        if ($properties !== null)
            $this->setProperties($properties);
    }
    
    public function get ($property, $default = null)
    {
        if (isset($this->$property))
            return $this->$property;
            
            return $default;
    }
}

class JphpxHelper
{
    
	public static function addSubmenu($vName = '')
	{
		JHtmlSidebar::addEntry(
			Text::_('COM_JPHPX_TITLE_JPHPX_CODES'),
			'index.php?option=com_jphpx&view=jphpx_codes',
			$vName == 'jphpx_codes'
		);

	}

	public static function getFiles($pk, $table, $field)
	{
	   $joomla_version = new Version();
	   if (version_compare($joomla_version->getShortVersion(), '4.2', '>='))
	       $db = $this->getDatabase();
	   else
	       $this->database = Factory::getDbo();
	       
	   $query = $this->db->getQuery(true);

		$query
			->select($field)
			->from($table)
			->where('id = ' . (int) $pk);

		$db->setQuery($query);

		return explode(',', $db->loadResult());
	}

	public static function getActions()
	{
		$result = new jphpxActions;
		$assetName = 'com_jphpx';
		
		$joomla_version = new Version();
		if (version_compare($joomla_version->getShortVersion(), '4.0', '>='))
		    $user = Factory::getApplication()->getIdentity();
		else
		    $user = Factory::getUser();

		$actions = array(
			'core.admin', 'core.manage', 'core.create', 'core.edit', 'core.edit.own', 'core.edit.state', 'core.delete'
		);

		foreach ($actions as $action)
		{
			$result->$action = $user->authorise($action, $assetName);
		}

		return $result;
	}
}

