<?php
/**
 * @version    1.3.2
 * @package    com_jphpx
 * @author     Joachim Schmidt <joachim.schmidt@oberquembach.de>
 * @copyright  2021 Joachim Schmidt
 * @license    GNU General Public License Version 2 or later
 */
//namespace com_jphpx\administrator;
defined('_JEXEC') or die();

use \Joomla\CMS\MVC\Controller\AdminController;
use \Joomla\CMS\Factory;
use \Joomla\CMS\Language\Text;
use \Joomla\CMS\Version;

$joomla_version = new Version();
if (version_compare($joomla_version->getShortVersion(), '4.0', '>='))
    $user = Factory::getApplication()->getIdentity();
else
    $user = Factory::getUser();

if (! $user->authorise('core.manage', 'com_jphpx'))
{
    throw new Exception(Text::_('JERROR_ALERTNOAUTHOR'));
}

// Include dependancies
jimport('joomla.application.component.controller');

JLoader::registerPrefix('Jphpx', JPATH_COMPONENT_ADMINISTRATOR);

$controller = AdminController::getInstance('Jphpx');
$controller->execute(Factory::getApplication()->input->get('task'));
$controller->redirect();
