<?php
/**
 * @version    CVS: 1.1.0
 * @package    Com_Jphpx
 * @author     Joachim Schmidt <joachim.schmidt@oberquembach.de>
 * @copyright  2021 Joachim Schmidt
 * @license    GNU General Public License Version 2 oder später; siehe LICENSE.txt
 */

defined('JPATH_BASE') or die;

jimport('joomla.form.formfield');

use \Joomla\CMS\Factory;
use \Joomla\CMS\Version;

/**
 * Supports an HTML select list of categories
 *
 * @since  1.6
 */
class JFormFieldCreatedby extends \Joomla\CMS\Form\FormField
{
	/**
	 * The form field type.
	 *
	 * @var        string
	 * @since    1.6
	 */
	protected $type = 'createdby';

	/**
	 * Method to get the field input markup.
	 *
	 * @return    string    The field input markup.
	 *
	 * @since    1.6
	 */
	protected function getInput()
	{
		// Initialize variables.
		$html = array();
		$joomla_version = new Version();

		// Load user
		$user_id = $this->value;

		if ($user_id)
		{
		    if (version_compare($joomla_version->getShortVersion(), '4.0', '>='))
		       $user = Factory::getApplication()->getIdentity($user_id);
		    else
               $user = Factory::getUser($user_id);
		}
		else
		{
		    if (version_compare($joomla_version->getShortVersion(), '4.0', '>='))
		        $user = Factory::getApplication()->getIdentity();
		     else
		    	$user = Factory::getUser();
			$html[] = '<input type="hidden" name="' . $this->name . '" value="' . $user->id . '" />';
		}

		if (!$this->hidden)
		{
			$html[] = "<div>" . $user->name . " (" . $user->username . ")</div>";
		}

		return implode($html);
	}
}
